Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	FFmpeg is a complete solution to record, convert
Name:		ffmpeg
Version:	0.4.9pre1_p20080701
Release:	1
License:	GNU/GPL
URL:		http://ffmpeg.sourceforge.net
Group:		Video
Source0:	%{name}-svn-14044.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imlib2-devel freetype-devel SDL-devel lame-devel libogg-devel libvorbis-devel
BuildRequires:	faad2-devel faac-devel liba52-devel xvidcore-devel zlib-devel libdc1394-devel
BuildRequires:	libraw1394-devel x264-devel libdts-devel texi2html doxygen libtheora-1.0-devel
BuildRequires:	libnut-devel amrnb-devel amrwb-devel gsm-devel

%description
Complete solution to record, convert and stream audio and video. Includes libavcodec.

%package        devel
Summary:        header files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}
Requires:	libnut-devel amrnb-devel amrwb-devel gsm-devel libtheora-1.0-devel
Requires:	faad2-devel faac-devel liba52-devel xvidcore-devel zlib-devel libdc1394-devel
Requires:	freetype-devel SDL-devel lame-devel libogg-devel libvorbis-devel

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}
[ -d ../TEmP ] && rm -rf ../TEmP
mkdir -p ../TEmP
mv * ../TEmP
mkdir -p STATIC-BUILD
mkdir -p SHARED-BUILD
cd ../TEmP
cp -dpR * ../%{name}/STATIC-BUILD
cp -dpR * ../%{name}/SHARED-BUILD
cd -
rm -rf ../TEmP

%build
cd STATIC-BUILD
./configure --prefix=%_prefix \
--mandir=%_mandir \
--libdir=%_libdir \
--disable-shared \
--disable-debug \
--enable-static \
--enable-libmp3lame \
--enable-liba52 \
--enable-libdc1394 \
--enable-pthreads \
--enable-libvorbis \
--enable-libfaad \
--enable-libfaac \
--enable-libxvid \
--enable-gpl \
--enable-nonfree \
--disable-libx264 \
--enable-libtheora \
--enable-libamr-nb \
--enable-libamr-wb \
--enable-libgsm \
--enable-libnut \
--enable-swscale \
--enable-postproc \
--enable-avfilter \
--enable-avfilter-lavf
make
cd -
cd SHARED-BUILD
./configure --prefix=%_prefix \
--mandir=%_mandir \
--libdir=%_libdir \
--enable-shared \
--disable-static \
--disable-debug \
--enable-libmp3lame \
--enable-liba52 \
--enable-libdc1394 \
--enable-pthreads \
--enable-libvorbis \
--enable-libfaad \
--enable-libfaac \
--enable-libxvid \
--enable-gpl \
--enable-nonfree \
--disable-libx264 \
--enable-libtheora \
--enable-libamr-nb \
--enable-libamr-wb \
--enable-libgsm \
--enable-libnut \
--enable-swscale \
--enable-postproc \
--enable-avfilter \
--enable-avfilter-lavf

make
cd -

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/
cd STATIC-BUILD
echo STATIC BUILD INSTALL
make DESTDIR=$RPM_BUILD_ROOT prefix=%_prefix \
	libdir=%_libdir mandir=%_mandir \
	infodir=%_infodir bindir=%_bindir \
	install install-libs
cd -
cd SHARED-BUILD
make DESTDIR=$RPM_BUILD_ROOT prefix=%_prefix \
	libdir=%_libdir mandir=%_mandir \
	infodir=%_infodir bindir=%_bindir \
	install install-libs
cd -
cd STATIC-BUILD/libpostproc
make DESTDIR=$RPM_BUILD_ROOT prefix=%_prefix libdir=%_libdir install
cd -
cd SHARED-BUILD/libpostproc
make DESTDIR=$RPM_BUILD_ROOT prefix=%_prefix libdir=%_libdir shlibdir=%_libdir install
cd -
install -m 655 STATIC-BUILD/libpostproc/libpostproc.a \
	$RPM_BUILD_ROOT%_libdir/

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/vhook
%_libdir/libavcodec.so.*
%_libdir/libpostproc.so.*
%_libdir/libavformat.so.*
%_libdir/libavutil.so.*
%_libdir/libavcodec.so
%_libdir/libpostproc.so
%_libdir/libavformat.so
%_libdir/libswscale.so.*
%_libdir/libswscale.so
%_libdir/libavdevice.so.*
%_libdir/libavfilter.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/*.a
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.9pre1_p20080701-1
- Version Update to SVN Revision 14044, temp disable x264
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.9pre1_p20080309-1
- Version Update to SVN Revision 12393
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20080103-1
- Version Update to SVN Revision 11383
* Fri Nov 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20071130-1
- Version update to SVN Revision 11115
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20071104-1
- Version update to SVN Revision 10924
- Add GSM, AMR-WB and AMR-NB support
- Add libnut for support for nut container format
* Sat Jul 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.9pre1_p20070714-1
- Version update to svn revision 9636
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20070418-1
- Version Update to SVN Revision 8750
* Mon Jan 15 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20070115-1
- Version Update to SVN Revision 7503
- Rebuild against new x264 Version
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.4.9pre1_p20061125-2
- rebuild against latest libs
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20061125-1
- Version Update to SVN Revision 7167
* Wed Sep 13 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20060913-1
- Version Update to SVN Revision 6244
* Sat Aug 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20060824-1
- Version Update to SVN Revision 6082
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.9pre1_p20050226-1
- Version Update
* Sat Nov 13 2004 Christian Wasem <wasem@ccux-linux.de> 0.4.9pre1-2
- Initial Release
